| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiTest::RegexpReplacer Class Reference

Inheritance diagram for GaudiTest::RegexpReplacer:

[legend]
Collaboration diagram for GaudiTest::RegexpReplacer:

[legend]

List of all members.

## Detailed Description

Definition at line 353 of file GaudiTest.py.

## Public Member Functions
def | __init__
def | __add__
def | __processLine__
## Private Attributes
| _operations

## Member Function Documentation

def GaudiTest::RegexpReplacer::__init__ | ( |  | self,
|  |  | orig,
|  |  | repl = `""`,
|  |  | when = `None` |
| ) |  |  |

Definition at line 354 of file GaudiTest.py.

    00354                                                     :
    00355         if when:
    00356             when = re.compile(when)
    00357         self._operations = [ (when, re.compile(orig), repl) ]
        def __add__(self,rhs):

def GaudiTest::RegexpReplacer::__add__ | ( |  | self,
|  |  | rhs |
| ) |  |  |

Reimplemented from GaudiTest::FilePreprocessor.

Definition at line 358 of file GaudiTest.py.

    00358                          :
    00359         if isinstance(rhs, RegexpReplacer):
    00360             res = RegexpReplacer("","",None)
    00361             res._operations = self._operations + rhs._operations
    00362         else:
    00363             res = FilePreprocessor.__add__(self, rhs)
    00364         return res
        def __processLine__(self, line):

def GaudiTest::RegexpReplacer::__processLine__ | ( |  | self,
|  |  | line |
| ) |  |  |

Reimplemented from GaudiTest::FilePreprocessor.

Definition at line 365 of file GaudiTest.py.

    00365                                    :
    00366         for w,o,r in self._operations:
    00367             if w is None or w.search(line):
    00368                 line = o.sub(r, line)
    00369         return line
    00370
    00371 # Common preprocessors
    maskPointers  = RegexpReplacer("0x[0-9a-fA-F]{4,16}","0x########")

## Member Data Documentation

GaudiTest::RegexpReplacer::_operations`[private]`

Definition at line 357 of file GaudiTest.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPolicy/qmtest_classes/GaudiTest.py